# Uses of Interface
org.eclipse.mat.ui.internal.diagnostics.DiagnosticsProgress

Packages that use DiagnosticsProgress
Package
Description
org.eclipse.mat.ui.internal.diagnostics
Diagnostics user interface (not API).
org.eclipse.mat.ui.internal.diagnostics.actions
Diagnostics actions (not API).

## Uses of DiagnosticsProgress in org.eclipse.mat.ui.internal.diagnostics

Classes in org.eclipse.mat.ui.internal.diagnostics that implement DiagnosticsProgress
Modifier and Type
Class
Description
`class`
`DiagnosticsExecutionWizardPage`
Handles executing the diagnostics on MAT
Methods in org.eclipse.mat.ui.internal.diagnostics with parameters of type DiagnosticsProgress
Modifier and Type
Method
Description
`void`
DiagnosticsAction.`run(DiagnosticsProgress progress)`
Run the diagnostic action

## Uses of DiagnosticsProgress in org.eclipse.mat.ui.internal.diagnostics.actions

Methods in org.eclipse.mat.ui.internal.diagnostics.actions with parameters of type DiagnosticsProgress
Modifier and Type
Method
Description
`void`
HotSpotJVMHeapDump.`run(DiagnosticsProgress progress)`
`void`
J9JVMHeapDump.`run(DiagnosticsProgress progress)`
`void`
J9JVMSystemDump.`run(DiagnosticsProgress progress)`
`void`
J9JVMThreadDump.`run(DiagnosticsProgress progress)`
`void`
Sleep.`run(DiagnosticsProgress progress)`
`void`
ThreadMXBeanDump.`run(DiagnosticsProgress progress)`